[arch-commits] Commit in electron/trunk (3 files)

Nicola Squartini tensor5 at archlinux.org
Sat Nov 21 10:00:10 UTC 2020


    Date: Saturday, November 21, 2020 @ 10:00:10
  Author: tensor5
Revision: 758307

upgpkg: electron 11.0.2-1

Modified:
  electron/trunk/PKGBUILD
  electron/trunk/use-system-libraries-in-node.patch
Deleted:
  electron/trunk/media-Set-allocation-limit-compatible-with-FFmpeg-4.3.patch

-------------------------------------------------------------+
 PKGBUILD                                                    |   19 ++--
 media-Set-allocation-limit-compatible-with-FFmpeg-4.3.patch |   43 ----------
 use-system-libraries-in-node.patch                          |   14 +--
 3 files changed, 15 insertions(+), 61 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2020-11-21 09:40:41 UTC (rev 758306)
+++ PKGBUILD	2020-11-21 10:00:10 UTC (rev 758307)
@@ -1,9 +1,9 @@
 # Maintainer: Nicola Squartini <tensor5 at gmail.com>
 
 pkgname=electron
-pkgver=10.1.5
-_commit=1df0ea58d53cec71d8263289ea755ee24f9fbd4c
-_chromiumver=85.0.4183.121
+pkgver=11.0.2
+_commit=edb67231577eb68eac1c955e271cb7a16f3eb1e3
+_chromiumver=87.0.4280.67
 pkgrel=1
 pkgdesc='Build cross platform desktop apps with web technologies'
 arch=('x86_64')
@@ -11,7 +11,7 @@
 license=('MIT' 'custom')
 depends=('c-ares' 'ffmpeg' 'gtk3' 'http-parser' 'libevent' 'libxslt' 'minizip'
          'nss' 're2' 'snappy')
-makedepends=('clang' 'git' 'gn-m85' 'gperf' 'harfbuzz-icu' 'java-runtime-headless'
+makedepends=('clang' 'git' 'gn' 'gperf' 'harfbuzz-icu' 'java-runtime-headless'
              'jsoncpp' 'libnotify' 'lld' 'llvm' 'ninja' 'npm' 'pciutils' 'yarn'
              'python2' 'wget')
 optdepends=('kde-cli-tools: file deletion support (kioclient5)'
@@ -24,15 +24,13 @@
         'default_app-icon.patch'
         'use-system-libraries-in-node.patch'
         'chromium-skia-harmony.patch'
-        'media-Set-allocation-limit-compatible-with-FFmpeg-4.3.patch'
        )
 sha256sums=('SKIP'
             'SKIP'
             '5270db01f3f8aaa5137dec275a02caa832b7f2e37942e068cba8d28b3a29df39'
             'dd2d248831dd4944d385ebf008426e66efe61d6fdf66f8932c963a12167947b4'
-            '50884820e07f7ce5ce55ee1ecdf610367a737e076c5029da0ab0d23154e7661d'
+            '0c54e488780e984c4be5879fa43d0e6fd23edc2207a7ec607c7886fca5115a12'
             '771292942c0901092a402cc60ee883877a99fb804cb54d568c8c6c94565a48e1'
-            '0f041d655335cd2a4773ae7ca5e301a0ff12c6c53f57b7cf6651c268e0420a1c'
            )
 
 _system_libs=('ffmpeg'
@@ -106,6 +104,10 @@
     --local_state=src/chrome/android/profiles/local.txt \
     --output_name=src/chrome/android/profiles/afdo.prof \
     --gs_url_base=chromeos-prebuilt/afdo-job/llvm
+  vpython src/tools/update_pgo_profiles.py \
+    --target=linux \
+    update \
+    --gs-url-base=chromium-optimization-profiles/pgo_profiles
   python2 src/electron/script/apply_all_patches.py \
       src/electron/patches/config.json
   cd src/electron
@@ -114,7 +116,6 @@
 
   echo "Applying local patches..."
   patch -Np0 -i ../chromium-skia-harmony.patch
-  patch -Np1 -i ../media-Set-allocation-limit-compatible-with-FFmpeg-4.3.patch
   patch -Np1 -i ../use-system-libraries-in-node.patch
   patch -Np1 -i ../default_app-icon.patch  # Icon from .desktop file
 
@@ -163,7 +164,7 @@
     use_gnome_keyring = false
     use_sysroot = false
   '
-  gn-m85 gen out/Release \
+  gn gen out/Release \
       --args="import(\"//electron/build/args/release.gn\") ${GN_EXTRA_ARGS}"
   ninja -C out/Release electron
   # Strip before zip to avoid

Deleted: media-Set-allocation-limit-compatible-with-FFmpeg-4.3.patch
===================================================================
--- media-Set-allocation-limit-compatible-with-FFmpeg-4.3.patch	2020-11-21 09:40:41 UTC (rev 758306)
+++ media-Set-allocation-limit-compatible-with-FFmpeg-4.3.patch	2020-11-21 10:00:10 UTC (rev 758307)
@@ -1,43 +0,0 @@
-From 7f4c7ff6b0f0e74338c885b0d5e5ef80fed597c3 Mon Sep 17 00:00:00 2001
-From: Dan Sanders <sandersd at chromium.org>
-Date: Tue, 11 Aug 2020 20:38:03 +0000
-Subject: [PATCH] [media] Set allocation limit compatible with FFmpeg 4.3
-
-Previously we set the limit to zero, meaning no limit, but FFmpeg 4.3
-will not allocate at all with that setting.
-
-Changed to std::numeric_limits<size_t>::max().
-
-Bug: 1095962
-Change-Id: I96820c21f794f2814e955ee75ff22dfd31804c29
-Reviewed-on: https://chromium-review.googlesource.com/c/chromium/src/+/2349405
-Reviewed-by: Dale Curtis <dalecurtis at chromium.org>
-Commit-Queue: Dan Sanders <sandersd at chromium.org>
-Cr-Commit-Position: refs/heads/master@{#796966}
----
- media/base/media.cc | 5 ++++-
- 1 file changed, 4 insertions(+), 1 deletion(-)
-
-diff --git a/media/base/media.cc b/media/base/media.cc
-index c282ee49a03..11e99c238ba 100644
---- a/media/base/media.cc
-+++ b/media/base/media.cc
-@@ -4,6 +4,9 @@
- 
- #include "media/base/media.h"
- 
-+#include <stdint.h>
-+#include <limits>
-+
- #include "base/allocator/buildflags.h"
- #include "base/command_line.h"
- #include "base/macros.h"
-@@ -41,7 +44,7 @@ class MediaInitializer {
- 
- #if BUILDFLAG(USE_ALLOCATOR_SHIM)
-     // Remove allocation limit from ffmpeg, so calls go down to shim layer.
--    av_max_alloc(0);
-+    av_max_alloc(std::numeric_limits<size_t>::max());
- #endif  // BUILDFLAG(USE_ALLOCATOR_SHIM)
- 
- #endif  // BUILDFLAG(ENABLE_FFMPEG)

Modified: use-system-libraries-in-node.patch
===================================================================
--- use-system-libraries-in-node.patch	2020-11-21 09:40:41 UTC (rev 758306)
+++ use-system-libraries-in-node.patch	2020-11-21 10:00:10 UTC (rev 758307)
@@ -1,6 +1,6 @@
 --- a/third_party/electron_node/BUILD.gn
 +++ b/third_party/electron_node/BUILD.gn
-@@ -45,6 +45,18 @@
+@@ -42,6 +42,18 @@
    node_module_version = ""
  }
  
@@ -19,7 +19,7 @@
  assert(!node_use_dtrace, "node_use_dtrace not supported in GN")
  assert(!node_use_etw, "node_use_etw not supported in GN")
  
-@@ -198,13 +210,9 @@
+@@ -190,11 +202,8 @@
  component("node_lib") {
    deps = [
      ":node_js2c",
@@ -29,11 +29,9 @@
      "deps/llhttp",
 -    "deps/nghttp2",
      "deps/uvwasi",
--    "deps/zlib",
+     "//third_party/zlib",
      "//third_party/brotli:dec",
-     "//third_party/brotli:enc",
-     "//v8:v8_libplatform",
-@@ -218,6 +226,21 @@
+@@ -210,6 +219,19 @@
    public_configs = [ ":node_lib_config" ]
    include_dirs = [ "src" ]
    libs = []
@@ -42,7 +40,6 @@
 +      ":cares",
 +      ":nghttp2",
 +    ]
-+    deps += [ "//third_party/zlib" ]
 +    libs += [ "http_parser" ]
 +  } else {
 +    deps += [
@@ -49,9 +46,8 @@
 +      "deps/cares",
 +      "deps/http_parser",
 +      "deps/nghttp2",
-+      "deps/zlib",
 +    ]
 +  }
+   frameworks = []
    cflags_cc = [
      "-Wno-deprecated-declarations",
-     "-Wno-implicit-fallthrough",


More information about the arch-commits mailing list